Main Page Modules Data Structures File List Data Fields Globals Related Pages

# randomGeneratorContext Struct Reference
[Pseudo-Random Number Generators]

`#include <beecrypt.h>`

## Data Fields
const randomGenerator * | rng
randomGeneratorParam * | param

## Detailed Description

A randomGenerator instance, global functions and specific parameters.

Definition at line 241 of file beecrypt.h.

## Field Documentation

randomGeneratorParam* randomGeneratorContext::param

| specific parameters Definition at line 246 of file beecrypt.h. Referenced by mp32brnd_w, mp32brndodd_w, randomGeneratorContextFree, randomGeneratorContextInit, and randomGeneratorContextNext.

const randomGenerator* randomGeneratorContext::rng

| global functions and parameters Definition at line 244 of file beecrypt.h. Referenced by mp32brnd_w, mp32brndodd_w, randomGeneratorContextFree, randomGeneratorContextInit, and randomGeneratorContextNext.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h